当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 18 篇帖子 ]  前往页数 1, 2  下一页
作者 内容
1 楼 
 文章标题 : 安装JAVA几次折翼,无解,唉,LUMAQQ2006也就开不了。大家给个步骤吧。
帖子发表于 : 2006-08-30 17:49 

注册: 2006-08-30 9:36
帖子: 12
送出感谢: 0 次
接收感谢: 0 次
看图片


附件:
文件注释: 失败
1.png
1.png [ 258.68 KiB | 被浏览 1283 次 ]

页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2006-08-30 18:12 
头像

注册: 2005-06-11 14:03
帖子: 6226
地址: 不明真相的群众
送出感谢: 0 次
接收感谢: 0 次
用控制台安装。sudo apt-get install sun-java5-jdk


_________________
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2006-08-30 20:20 

注册: 2006-08-30 9:36
帖子: 12
送出感谢: 0 次
接收感谢: 0 次
karron 写道:
用控制台安装。sudo apt-get install sun-java5-jdk


LS的,我从新的利里头删除了没安装成功的JAVA组件,重启后按你的安装,也是类似,唉


附件:
文件注释: 111
2.png
2.png [ 217.94 KiB | 被浏览 1209 次 ]

页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2006-08-30 20:33 
论坛管理员

注册: 2005-03-27 0:06
帖子: 10116
系统: Ubuntu 12.04
送出感谢: 7
接收感谢: 128
先彻底删除所有的sun JAVA包,即在新立得按右键彻底删除。删除完毕后,不要安装 doc 和 demo。仅仅选择 sun-java5-bin 安装。


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2006-08-30 20:56 

注册: 2006-08-30 9:36
帖子: 12
送出感谢: 0 次
接收感谢: 0 次
恩,我彻底删看看。先谢楼上的,和第二楼的,麻烦了


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2006-08-30 22:07 

注册: 2006-08-30 9:36
帖子: 12
送出感谢: 0 次
接收感谢: 0 次
两位大哥,真是没办法了。,就算完全删除了,也还是不行,我的天阿


附件:
3.png
3.png [ 71.2 KiB | 被浏览 1192 次 ]

页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2006-08-30 22:30 
论坛管理员

注册: 2005-03-27 0:06
帖子: 10116
系统: Ubuntu 12.04
送出感谢: 7
接收感谢: 128
奇怪,你到Dubuntu的板块问问?是不是Dubuntu的java有问题?不过默认应该安装了java的。


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2006-08-31 0:05 
头像

注册: 2006-02-23 14:46
帖子: 436
地址: 上海
送出感谢: 0 次
接收感谢: 1
方法1:
sudo apt-get -f install # 修正系统依赖关系
sudo apt-get install sun-java5-jre # 只装 jre 试试

方法2:
重装系统!


_________________
====
dubuntu-6.06-livecd-i386正式版正式完工!
====
*支持LiveCD硬盘启动
*Linux 2.6.15-23-686
*永中Office 2007
*LumaQQ+OpenQ+cycloneQQ
**N 多的编程及调试工具**


页首
 用户资料  
 
9 楼 
 文章标题 :
帖子发表于 : 2006-09-05 18:23 

注册: 2006-01-10 19:09
帖子: 1334
送出感谢: 0 次
接收感谢: 0 次
方法一不行
方法二不是搞笑吗


页首
 用户资料  
 
10 楼 
 文章标题 :
帖子发表于 : 2006-09-05 18:39 
头像

注册: 2006-05-03 0:39
帖子: 8273
地址: المريخ
送出感谢: 0 次
接收感谢: 1
那就来方法3:

去sun公司下载个自解压包来安装

事实上解压完了就可以用了


页首
 用户资料  
 
11 楼 
 文章标题 :
帖子发表于 : 2006-09-05 20:16 

注册: 2006-09-03 20:53
帖子: 196
送出感谢: 0 次
接收感谢: 0 次
应该没问题,我就是直接用控制台上装:
sudo apt-get install sun-java5-jre
设置当前默认的java解释器
sudo update-alternatives --config java
* 执行后会出现类似如下的画面:

There are 4 alternatives which provide `java'.

Selection Alternative
-----------------------------------------------
*+ 1 /usr/lib/jvm/java-gcj/jre/bin/java
2 /usr/bin/gij-wrapper-4.1
3 /usr/bin/gij-wrapper-4.0
4 /usr/lib/jvm/java-1.5.0-sun/jre/bin/java

Press enter to keep the default[*], or type selection number:

输入 有包含 "sun" 的行的前面的数字。如上面显示,则输入 4,然后回车确定。
用得挺好,用新立得最好源只选一个,不同的源多少会有一点冲突。


页首
 用户资料  
 
12 楼 
 文章标题 :
帖子发表于 : 2006-09-05 20:40 

注册: 2006-01-10 19:09
帖子: 1334
送出感谢: 0 次
接收感谢: 0 次
我的版本试过试过几个源都不行哦唉
我是从hoary到dapper再到edgy的
出错情况和lz一模一样
以前装的jdk不是这样的包


页首
 用户资料  
 
13 楼 
 文章标题 :
帖子发表于 : 2006-09-17 20:42 

注册: 2006-06-09 20:31
帖子: 179
送出感谢: 0 次
接收感谢: 0 次
Please follow this link if you are a Ubuntu Dapper user, and ensure you have configured the correct repository:
http://ubuntuguide.org/wiki/Dapper#How_ ... la_Firefox


页首
 用户资料  
 
14 楼 
 文章标题 :
帖子发表于 : 2006-10-06 11:33 

注册: 2005-12-21 17:37
帖子: 21
送出感谢: 0 次
接收感谢: 0 次
我也遇到了这个问题,感觉好象是dubuntu的问题。
已经在dubuntu区发贴询问了:http://forum.ubuntu.org.cn/viewtopic.php?t=26545&highlight=

安装上之后,终端输入java出现以下错误:
Error: could not find libjava.so
Error: could not find Java 2 Runtime Environment.
在ubuntu下面没有这个问题
楼主的方法没有试过,不过我google了很多帖子,无非就是 sudo update-alternatives --config java 、sudo update-java-alternatives -s java-1.5.0-sun、加上JAVA_HOME、LD_LIBRARY_PATH之类的,统统不行,可是那个libjava.so就在
/usr/lib/jvm/java-1.5.0-sun/jre/lib/i386下面静静得躺着呢
另外,输入sudo update-alternatives --config java之后输出是:
dubuntu@dubuntu:/usr/lib/jvm/java-1.5.0-sun/jre/lib/i386$ sudo update-alternatives --config java

There is only 1 program which provides java
(/usr/lib/jvm/java-1.5.0-sun/jre/bin/java). Nothing to configure.
输入sudo update-java-alternatives -s java-1.5.0-sun的输出是:
dubuntu@dubuntu:/usr/lib/jvm/java-1.5.0-sun/jre/lib/i386$ sudo update-java-alternatives -s java-1.5.0-sun
Using `/usr/lib/jvm/java-1.5.0-sun/bin/appletviewer' to provide `appletviewer'.
Using `/usr/lib/jvm/java-1.5.0-sun/bin/apt' to provide `apt'.
Using `/usr/lib/jvm/java-1.5.0-sun/bin/extcheck' to provide `extcheck'.
Using `/usr/lib/jvm/java-1.5.0-sun/bin/HtmlConverter' to provide `HtmlConverter'.
Using `/usr/lib/jvm/java-1.5.0-sun/bin/idlj' to provide `idlj'.
Using `/usr/lib/jvm/java-1.5.0-sun/bin/jarsigner' to provide `jarsigner'.
Using `/usr/lib/jvm/java-1.5.0-sun/bin/jar' to provide `jar'.
Using `/usr/lib/jvm/java-1.5.0-sun/bin/javac' to provide `javac'.
Using `/usr/lib/jvm/java-1.5.0-sun/bin/javadoc' to provide `javadoc'.
Using `/usr/lib/jvm/java-1.5.0-sun/bin/javah' to provide `javah'.
Using `/usr/lib/jvm/java-1.5.0-sun/bin/javap' to provide `javap'.
Using `/usr/lib/jvm/java-1.5.0-sun/bin/java-rmi.cgi' to provide `java-rmi.cgi'.
Using `/usr/lib/jvm/java-1.5.0-sun/bin/jconsole' to provide `jconsole'.
Using `/usr/lib/jvm/java-1.5.0-sun/bin/jdb' to provide `jdb'.
Using `/usr/lib/jvm/java-1.5.0-sun/bin/jinfo' to provide `jinfo'.
Using `/usr/lib/jvm/java-1.5.0-sun/bin/jmap' to provide `jmap'.
Using `/usr/lib/jvm/java-1.5.0-sun/bin/jps' to provide `jps'.
Using `/usr/lib/jvm/java-1.5.0-sun/bin/jsadebugd' to provide `jsadebugd'.
Using `/usr/lib/jvm/java-1.5.0-sun/bin/jstack' to provide `jstack'.
Using `/usr/lib/jvm/java-1.5.0-sun/bin/jstatd' to provide `jstatd'.
Using `/usr/lib/jvm/java-1.5.0-sun/bin/jstat' to provide `jstat'.
Using `/usr/lib/jvm/java-1.5.0-sun/bin/native2ascii' to provide `native2ascii'.
Using `/usr/lib/jvm/java-1.5.0-sun/bin/rmic' to provide `rmic'.
Using `/usr/lib/jvm/java-1.5.0-sun/bin/serialver' to provide `serialver'.
Using `/usr/lib/jvm/java-1.5.0-sun/jre/bin/ControlPanel' to provide `ControlPanel'.
Using `/usr/lib/jvm/java-1.5.0-sun/jre/bin/java' to provide `java'.
Using `/usr/lib/jvm/java-1.5.0-sun/jre/bin/java_vm' to provide `java_vm'.
Using `/usr/lib/jvm/java-1.5.0-sun/jre/bin/javaws' to provide `javaws'.
Using `/usr/lib/jvm/java-1.5.0-sun/jre/bin/keytool' to provide `keytool'.
Using `/usr/lib/jvm/java-1.5.0-sun/jre/bin/pack200' to provide `pack200'.
Using `/usr/lib/jvm/java-1.5.0-sun/jre/bin/policytool' to provide `policytool'.
Using `/usr/lib/jvm/java-1.5.0-sun/jre/bin/rmid' to provide `rmid'.
Using `/usr/lib/jvm/java-1.5.0-sun/jre/bin/rmiregistry' to provide `rmiregistry'.
Using `/usr/lib/jvm/java-1.5.0-sun/jre/bin/unpack200' to provide `unpack200'.
Using `/usr/lib/jvm/java-1.5.0-sun/jre/plugin/i386/ns7/libjavaplugin_oji.so' to provide `firefox-javaplugin.so'.
Using `/usr/lib/jvm/java-1.5.0-sun/jre/plugin/i386/ns7/libjavaplugin_oji.so' to provide `mozilla-javaplugin.so'.
Using `/usr/lib/jvm/java-1.5.0-sun/jre/plugin/i386/ns7/libjavaplugin_oji.so' to provide `mozilla-snapshot-javaplugin.so'.
dubuntu@dubuntu:/usr/lib/jvm/java-1.5.0-sun/jre/lib/i386$ java
Error: could not find libjava.so
Error: could not find Java 2 Runtime Environment.[url][/url]


页首
 用户资料  
 
15 楼 
 文章标题 :
帖子发表于 : 2006-10-06 22:48 

注册: 2005-12-28 1:16
帖子: 41
送出感谢: 0 次
接收感谢: 0 次
lumaQQ支持QQ群么,gaim2.0支持qq,就是没有qq群


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 18 篇帖子 ]  前往页数 1, 2  下一页

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译